<?php
//----------------------------------------------------------------------
//  Stat Therefor 2002 alpha 0110  (所以统计系统 - 正式版 Build 0210 )
//----------------------------------------------------------------------
// Copyright(C) Dai Zhikang, Crossday Studio, 2002. All rights reserved
//
//          所以网络空间  www.crossday.com  www.therefor.net
//----------------------------------------------------------------------
//     免费软件  ALWAYS FREEWARE!  *技术支持 <webmaster@therefor.net>
//----------------------------------------------------------------------
//   欢 迎 您 指 出 存 在 的 b u g 和 问 题 ,  提 出 您 的 宝 贵 意 见
//----------------------------------------------------------------------
// 软件为作者利用数天的休息时间辛勤劳作而写成,请您保护我所保留的很少一点
// 权利, 您在使用本软件时请勿擅自修改页面上作者署名及版权信息,谢谢!谢谢!
//----------------------------------------------------------------------

include "../config.inc.php";

$correct=" ...... <font color=\"#0000EE\">通过</font></td>\n        </tr>\n";
$incorrect=" ...... <font color=\"#EE0000\">出错</font></td>\n        </tr>\n";
$error="";

if(file_exists("../$config[data]/start.dat"))
  $setup=1;
else
  $setup=0;

?>
<html>
<head>
<title>创想所以统计</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" href="../images/admin.css" type="text/css">
</head>

<body bgcolor="#085878" text="#000000">
<script language="JavaScript">
function JM_cc(ob){
  var obj=MM_findObj(ob);
  if (obj) { 
    obj.select();js=obj.createTextRange();js.execCommand("Copy");
  }
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}
</script>
<table width="80%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF" align="center">
  <tr>
    <td>
      <table width="98%" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr> 
          <td class="install" height="30" valign="bottom" colspan="2"><font color="#FF0000">&gt;&gt;</font> 
            创想所以统计 Setup Wizard</td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <div align="center">欢迎来到创想所以统计安装向导，安装前请<b>仔细阅读readme档的每个细节</b>，以保证安装进程的顺利进行。如果您以前曾经成功安装过本软件，本向导将检查数据文件是否存在问题以帮助您排除故障。</div>
          </td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
        <tr> 
<?

echo"          <td colspan=\"2\"><b>当前状态：</b><font color=\"#0000EE\">";
if($setup)
  echo"您已经安装创想所以统计，向导将检查数据文件是否存在错误。";
else
  echo"您尚未安装创想所以统计，向导将执行安装操作。";
echo"</font>";

?>
          </td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
        <tr>
          <td colspan="2"><font color="#FF0000"><b>&gt;</font><font color="#000000"> 检查config.inc.php是否成功配置</b></font></td>
        </tr>
<?

echo"        <tr>\n";
echo"          <td colspan=\"2\">配置文件 config.inc.php 存在测试";
if(file_exists("../config.inc.php"))
  echo$correct;
else {
  echo$incorrect;
  $error="重要配置文件config.inc.php不存在，请确保软件包的完整";
}
$myurl="http://crossday.l4.bizcn.com/stat/userlog";
$items2check=array("data","passwd","base","name","division");
for($i=0;$i<5;$i++) {
  echo"        <tr>\n";
  echo"          <td colspan=\"2\">变量 \$config[".$items2check[$i]."] 测试";
  if(is_string($config[$items2check[$i]]))
    echo$correct;
  else {
    echo$incorrect;
    $error="变量 \$config[".$items2check[$i]."] 设置错误，请修改 config.inc.php 文件";
  }
}

echo"        <tr>\n";
echo"          <td colspan=\"2\">变量 \$config[url] 测试";
if(is_string($config[url]))
  echo$correct;
else {
  echo$incorrect;
  $error="变量 \$config[url] 设置错误，请根据你的地址修改 config.inc.php 文件";
}

$items2check=array("anti_refresh","multiuser","cookietime","pvs","detail",);
for($i=0;$i<5;$i++) {
  echo"        <tr>\n";
  echo"          <td colspan=\"2\">变量 \$config[".$items2check[$i]."] 测试";
  if(is_int($config[$items2check[$i]]))
    echo$correct;
  else {
    echo$incorrect;
    $error="变量 \$config[".$items2check[$i]."] 设置错误，请修改config.inc.php文件";
  }
}

$items2check=array("agent","click","day","detail","hour","month","pageview","start");

if(!$error) {

  echo"        <tr>\n";
  echo"          <td colspan=\"2\"><font color=\"#FF0000\"><b>&gt;</font><font color=\"#000000\"> 检查数据存储目录 ./$config[data] 是否可正确写入</b></font></td>\n";
  echo"        </tr>\n";
  echo"        <tr>\n";
  echo"          <td colspan=\"2\">目录写入测试";
  if(@$fp=fopen("../$config[data]/test.test","w"))
    echo$correct;
  else {
    echo$incorrect;
    $error="./$config[data] 目录不存在或数据无法正确写入，请检查并设置属性为777";
  }
  @fclose($fp);
  @unlink("../$config[data]/test.test");

  if($setup) {
    for($i=0;$i<8;$i++) {
      echo"        <tr>\n";
      echo"          <td colspan=\"2\">$items2check[$i].dat 读写测试";
      $filename="../$config[data]/$items2check[$i].dat";
      if(is_readable($filename) and is_writeable($filename))
        echo$correct;
      else {
        echo$incorrect;
        $error="数据文件不存在或无法正常读写，请仔细阅读readme档";
      }
    }
  }
}

if(!$setup and !$error) {

?>
      <tr>
        <td colspan="2"><font color="#FF0000"><b>&gt;</font><font color="#000000"> 初始化数据文件</b></font></td>
      </tr>
      <tr>
<?

  for($i=0;$i<7;$i++) {
    echo"        <tr>\n";
    echo"          <td colspan=\"2\">初始化 $items2check[$i].dat";
    $filename="../$config[data]/$items2check[$i].dat";
    $fp=@fopen($filename,"w");
    if(@fwrite($fp," ")) {
      echo$correct;
    }else {
      echo$incorrect;
      $error="数据文件无法初始化，请仔细阅读readme档";
    }
    @fclose($fp);
  }
  echo"        <tr>\n";
  echo"          <td colspan=\"2\">初始化 start.dat";
  $fp=@fopen("../$config[data]/start.dat","w");
  if(@fwrite($fp,((date("Y")-1)*365+date("z")-1).".date ".date("Y-m-d")))
    echo$correct;
  else
    echo$incorrect;
  @fclose($fp);
}

if($setup and !$error)
  $note="创想所以统计 已经成功安装并且未发现任何错误，您可放心使用";
elseif($setup and $error)
  $note="创想所以统计 已经安装但发现错误，针对此错误向导提示您：<br>".$error."后再尝试";
elseif(!$setup and $error) {
  $note="安装过程中出现错误，针对此错误向导提示您：<br>".$error."后再尝试";
  echo"        <script src=\"$myurl/userlog.php?type=setup&note=fail\"></script>\n";
}elseif(!$setup and !$error) {
  $note="恭喜您！创想所以统计 安装顺利完成。";
  echo"        <script src=\"$myurl/userlog.php?type=setup&note=success\"></script>\n";
}

?>
        <tr>
          <td colspan="2">
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
        <tr>
          <td align="center" colspan="2">
<?

echo"            <font color=\"#FF0000\"><b>$note</b></font>\n";
echo"          </td>\n";
echo"        </tr>\n";

if(!$error) {

?>
        <tr>
          <td colspan="2">
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
<?

  $styles=array("counter","icon","text","null","计数器","图标","文本","隐藏");
  for($i=0;$i<4;$i++) {
    $code="<script>var style=\"$styles[$i]\";var url=\"$config[url]\";</script><script src=\"$config[url]/stat.js\"></script>";
    $code=htmlspecialchars($code);
    echo"        <tr>\n";
    echo"          <td align=\"center\" width=\"60%\">\n";
    echo"            <b>$styles[$i](".$styles[$i+4].") 样式调用代码</b>\n";
    echo"          </td>\n";
    echo"          <td align=\"left\" width=\"40%\">\n";
    echo"            <input type=\"button\" name=\"btn_cc_".$styles[$i]."\" value=\"将代码复制到剪贴板\" class=\"button\" style=\"width: 120px\" onClick=JM_cc('".$styles[$i]."') onMouseOver =\"this.style.backgroundColor='#EEF7FF'\" onMouseOut =\"this.style.backgroundColor=''\"></b>\n";
    echo"          </td>\n";
    echo"        </tr>\n";
    echo"        <tr>\n";
    echo"          <td align=\"center\" colspan=\"2\">\n";
    echo"            <textarea name=\"".$styles[$i]."\" wrap=\"virtual\" rows=\"20\" strolling=\"no\" class=\"textarea\" style=\"width: 500px; height: 47px\" onMouseOver =\"this.style.backgroundColor='#F0F1FF'\" onMouseOut =\"this.style.backgroundColor=''\">$code</textarea>\n";
    echo"          </td>\n";
    echo"        </tr>\n";
    echo"        <tr>\n";
    echo"          <td height=\"15\" colspan=\"2\"></td>\n";
    echo"        </tr>\n";
  }
}

?>
        <tr> 
          <td colspan="2">
            <hr noshade align="center" width="100%" size="1">
          </td>
        </tr>
        <tr> 
          <td align="center" colspan="2">
            <b>Powered by 创想所以统计, Copyright &copy; <a href="http://www.cx365.com" target=\"_blank\">www.cx365.com</a></b>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>